ColGenericNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class ColGenericNode

    java.lang.Object
      org.openswing.swing.pivottable.java.ColGenericNode

All Implemented Interfaces:
  java.io.Serializable

public class ColGenericNode
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Column field node: contains its children nodes and the list of data field values; used in pivot table.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`ColGenericNode()`
`ColGenericNode(GenericNodeKey vpath, GenericFunction[] gf)`

Method Summary
`void` | `add(ColGenericNode childNode)` Add a child node to this.
`boolean` | `equals(java.lang.Object obj)`
`ColGenericNode` | `getChildren(int index)`
`int` | `getChildrenCount()`
`GenericFunction[]` | `getGenericFunctions()`
`int` | `getLevel()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`boolean` | `isNodeExpanded()`
`boolean` | `isRootNode()`
`void` | `remove(ColGenericNode childNode)` Add a child node to this.
`void` | `setLevel(int level)` Set the depth level.
`void` | `setNodeExpanded(boolean nodeExpanded)` Define if current node is expanded.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColGenericNode

    public ColGenericNode()

### ColGenericNode

    public ColGenericNode(GenericNodeKey vpath,
                          GenericFunction[] gf)

Method Detail

### add

    public final void add(ColGenericNode childNode)

  Add a child node to this.

  Parameters:
    `childNode` - GenericNode to add

### remove

    public final void remove(ColGenericNode childNode)

  Add a child node to this.

  Parameters:
    `childNode` - GenericNode to add

### getGenericFunctions

    public final GenericFunction[] getGenericFunctions()

  Returns:
    object stored inside this

### getChildrenCount

    public final int getChildrenCount()

  Returns:
    children number

### getChildren

    public final ColGenericNode getChildren(int index)

  Parameters:
    `index` - children index
  Returns:
    children

### isNodeExpanded

    public final boolean isNodeExpanded()

  Returns:
    define if current node is expanded

### setNodeExpanded

    public final void setNodeExpanded(boolean nodeExpanded)

  Define if current node is expanded.

  Parameters:
    `nodeExpanded` - define if current node is expanded

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public final int hashCode()

### getValue

    public final java.lang.Object getValue()

  Returns:
    node value

### isRootNode

    public final boolean isRootNode()

  Returns:
    `true` if this is a root node

### getLevel

    public final int getLevel()

  Returns:
    depth level

### setLevel

    public final void setLevel(int level)

  Set the depth level.

  Parameters:
    `level` - depth level

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD